<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateQuestionsTable extends Migration {

	public function up()
	{
		Schema::create('questions', function(Blueprint $table) {
			$table->increments('id');
			$table->string('language_key', 299);
			$table->integer('category_id')->unsigned()->nullable();
			$table->enum('question_type', array('Radio', 'checkbox', 'date', 'TextInput', 'other'));
			$table->tinyInteger('is_subquestion')->default('0');
			$table->bigInteger('image_id')->unsigned()->nullable();
			$table->enum('module', array('SC', 'VQ'));
			$table->timestamps();
			$table->softDeletes();
			$table->integer('order')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('questions');
	}
}