<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('category_details', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('category_details', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('tips', function(Blueprint $table) {
			$table->foreign('image_id')->references('id')->on('images')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('tip_details', function(Blueprint $table) {
			$table->foreign('tip_id')->references('id')->on('tips')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('tip_details', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('questions', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('questions', function(Blueprint $table) {
			$table->foreign('image_id')->references('id')->on('images')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('question_details', function(Blueprint $table) {
			$table->foreign('question_id')->references('id')->on('questions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('question_details', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('sub_question_logic', function(Blueprint $table) {
			$table->foreign('parent_question_id')->references('id')->on('questions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('sub_question_logic', function(Blueprint $table) {
			$table->foreign('sub_question_id')->references('id')->on('questions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('answers', function(Blueprint $table) {
			$table->foreign('question_id')->references('id')->on('questions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('answers', function(Blueprint $table) {
			$table->foreign('image_id')->references('id')->on('images')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('answer_details', function(Blueprint $table) {
			$table->foreign('answer_id')->references('id')->on('answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('answer_details', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('referral_pathways', function(Blueprint $table) {
			$table->foreign('parent_pathway_id')->references('id')->on('referral_pathways')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('referral_pathways', function(Blueprint $table) {
			$table->foreign('image_id')->references('id')->on('images')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('referral_pathway_details', function(Blueprint $table) {
			$table->foreign('referral_pathway_id')->references('id')->on('referral_pathways')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('referral_pathway_details', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('logic_blocks', function(Blueprint $table) {
			$table->foreign('referral_pathway_id')->references('id')->on('referral_pathways')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pathway_logics', function(Blueprint $table) {
			$table->foreign('logic_block_id')->references('id')->on('logic_blocks')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pathway_logics', function(Blueprint $table) {
			$table->foreign('question_id')->references('id')->on('questions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pathway_logic_answers', function(Blueprint $table) {
			$table->foreign('pathway_logic_id')->references('id')->on('pathway_logics')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('pathway_logic_answers', function(Blueprint $table) {
			$table->foreign('answer_id')->references('id')->on('answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('subquestion_logic_answers', function(Blueprint $table) {
			$table->foreign('logic_id')->references('id')->on('sub_question_logic')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('subquestion_logic_answers', function(Blueprint $table) {
			$table->foreign('logic_answer_id')->references('id')->on('answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('category_details', function(Blueprint $table) {
			$table->dropForeign('category_details_category_id_foreign');
		});
		Schema::table('category_details', function(Blueprint $table) {
			$table->dropForeign('category_details_language_id_foreign');
		});
		Schema::table('tips', function(Blueprint $table) {
			$table->dropForeign('tips_image_id_foreign');
		});
		Schema::table('tip_details', function(Blueprint $table) {
			$table->dropForeign('tip_details_tip_id_foreign');
		});
		Schema::table('tip_details', function(Blueprint $table) {
			$table->dropForeign('tip_details_language_id_foreign');
		});
		Schema::table('questions', function(Blueprint $table) {
			$table->dropForeign('questions_category_id_foreign');
		});
		Schema::table('questions', function(Blueprint $table) {
			$table->dropForeign('questions_image_id_foreign');
		});
		Schema::table('question_details', function(Blueprint $table) {
			$table->dropForeign('question_details_question_id_foreign');
		});
		Schema::table('question_details', function(Blueprint $table) {
			$table->dropForeign('question_details_language_id_foreign');
		});
		Schema::table('sub_question_logic', function(Blueprint $table) {
			$table->dropForeign('sub_question_logic_parent_question_id_foreign');
		});
		Schema::table('sub_question_logic', function(Blueprint $table) {
			$table->dropForeign('sub_question_logic_sub_question_id_foreign');
		});
		Schema::table('answers', function(Blueprint $table) {
			$table->dropForeign('answers_question_id_foreign');
		});
		Schema::table('answers', function(Blueprint $table) {
			$table->dropForeign('answers_image_id_foreign');
		});
		Schema::table('answer_details', function(Blueprint $table) {
			$table->dropForeign('answer_details_answer_id_foreign');
		});
		Schema::table('answer_details', function(Blueprint $table) {
			$table->dropForeign('answer_details_language_id_foreign');
		});
		Schema::table('referral_pathways', function(Blueprint $table) {
			$table->dropForeign('referral_pathways_parent_pathway_id_foreign');
		});
		Schema::table('referral_pathways', function(Blueprint $table) {
			$table->dropForeign('referral_pathways_image_id_foreign');
		});
		Schema::table('referral_pathway_details', function(Blueprint $table) {
			$table->dropForeign('referral_pathway_details_referral_pathway_id_foreign');
		});
		Schema::table('referral_pathway_details', function(Blueprint $table) {
			$table->dropForeign('referral_pathway_details_language_id_foreign');
		});
		Schema::table('logic_blocks', function(Blueprint $table) {
			$table->dropForeign('logic_blocks_referral_pathway_id_foreign');
		});
		Schema::table('pathway_logics', function(Blueprint $table) {
			$table->dropForeign('pathway_logics_logic_block_id_foreign');
		});
		Schema::table('pathway_logics', function(Blueprint $table) {
			$table->dropForeign('pathway_logics_question_id_foreign');
		});
		Schema::table('pathway_logic_answers', function(Blueprint $table) {
			$table->dropForeign('pathway_logic_answers_pathway_logic_id_foreign');
		});
		Schema::table('pathway_logic_answers', function(Blueprint $table) {
			$table->dropForeign('pathway_logic_answers_answer_id_foreign');
		});
		Schema::table('subquestion_logic_answers', function(Blueprint $table) {
			$table->dropForeign('subquestion_logic_answers_logic_id_foreign');
		});
		Schema::table('subquestion_logic_answers', function(Blueprint $table) {
			$table->dropForeign('subquestion_logic_answers_logic_answer_id_foreign');
		});
	}
}